#!/bin/bash

# block creator
# in: data from $DIR
# out: block in block_unsigned
#genera bloque de datos compuesto por:
#  id bloque
#  id del dispositivo
#  datos de los sensores
#  firma de datos anteriores

DIRD=./data
DIRB=./block_unsigned
DATA=""
SALIDA=""

echo "================="
echo "==   BLOCKER   =="
echo "================="


#BLOQUE
#PRIMER CAMPO: ID bloque
BLOQUE=$(echo "$(date +%s)$(date +%N)")
echo $BLOQUE

#SEGUNDO CAMPO: ID
ID=$(cat *.id)
echo $ID

#TERCER CAMPO: DATA (LONGITUD VARIABLE)
for x in $DIRD/*.dat; do
	DATA=$DATA";"$(cat $x)
done

tar -cvf $DIRD/$BLOQUE.tar --remove-files $DIRD/*.dat

#CUARTO CAMPO: FIRMA
SALIDA=$BLOQUE-$ID-$DATA
echo $SALIDA > $DIRB/BLOCK$BLOQUE.blk
./signer.sh $DIRB/BLOCK$BLOQUE.blk >> $DIRB/BLOCK$BLOQUE.blk
echo $FIRMA > firma.sig

