#!/bin/bash

# data catcher from NA function
# in: NA scripts
# out: $DIR/files 
# Recopila informacin de las interfaces de los sensores

#Configuracin
FILE=$(grep LOOP mbiot.conf)
LOOPS=${FILE##*=}

echo "================="
echo "==   CATCHER   =="
echo "================="

echo "Iteraciones antes de crear bloque: "$LOOPS


CONTADOR=0
DIR=./data
DATE=$(date +%s)



while [ $CONTADOR -lt $LOOPS ]; do
	echo "$(python ./NA1/*.py),$DATE,$(cat ./NA1/*.id)" > $DIR/NA1$CONTADOR.dat
	echo "$(python ./NA2/*.py),$DATE,$(cat ./NA1/*.id)" > $DIR/NA2$CONTADOR.dat
	echo "$(python ./NA3/*.py),$DATE,$(cat ./NA1/*.id)" > $DIR/NA3$CONTADOR.dat
	let CONTADOR++
done
