#!/bin/bash
source ./lib/restorer.sh

#in:*.blk
#out:true/false

#BLKS=./block_signed


chainer(){
	BLKS=$1
	LEDGER=$2
	#echo "chainer: blk: "$BLKS
	 m=1
	 n=0 #n=m-1
	
	#local HPRE=$(echo $(ls *.blk | tail -n 3 | head -n 1))
	#local HASH=$(echo $(ls *.blk | tail -n 1))
	 HPRE=$(cat $(ls $BLKS/*.blk | head -n $m | tail -n 1) | tail -n 3 | head -n 1)
	 HASH=""
	 FILE=""
	 NFILE=""
	
	echo "============================="
	echo "== comprobacin blockchain =="
	echo "============================="
	
	
	if [ "$HPRE" != 0 ]; then
		echo "ERROR EN INICIO DE CADENA"
		return 1
		exit
	else
		echo "PRIMER ESLABN OK"
	fi
	
	#while true;
	for x in $(ls $BLKS)
	do
		n=$m
		let m++
		FILE=$(ls $BLKS/*.blk | head -n $n | tail -n 1) 
		NFILE=$(ls $BLKS/*.blk | head -n $m | tail -n 1) 
		#echo "chainer:X: "$x
		#echo "chainer:FILE: "$FILE
		#echo "chainer:NFILE: "$NFILE
		
		if [ -e $NFILE ] && [ $FILE != $NFILE ]; then
			HASH=$(cat $FILE | tail -n 1)
			HPRE=$(cat $NFILE | tail -n 3 | head -n 1)
			
			#echo $FILE
			
			if [ "$HASH" == "$HPRE" ]; then
				#echo "elemento correcto"
				continue
			else
				echo "El fichero $FILE rompe el blockchain"
				restorer $FILE $LEDGER/$(echo $FILE | cut -d "/" -f 3)
				if [ $? -eq 0 ]; then
					continue
				elif [ $? -eq 1 ]; then
					echo "se ha recuperado el fichero"
				else
					echo "se ha borrado el fichero"
				fi
			fi
		else
			#echo "no hay mas ficheros"
			return 0
		fi
	done
	
	echo "BlockChain correcto!"
	return 0
}