#!/bin/bash

# Creo fichero formato json con datos block_signed
#in: ./block_signed/*.blk 
#out:json
#crea json con los datos verificados de los bloques

DIRS=./block_signed
CONT=1
JSON="[{"

for x in $DIRS/*.blk; do
	CRON=$(head -n 1 $x | cut -d "-" -f 1)
	JSON=$JSON"\"TS\":\"$(date --date=@${CRON:0:10} +%T)\",\"NA1\":"$(head -n 1 $x | cut -d ";" -f 2 | cut -d "," -f 1)","
	JSON=$JSON"\"NA2\":"$(head -n 1 $x | cut -d ";" -f 3 | cut -d "," -f 1)","
	JSON=$JSON"\"NA3\":"$(head -n 1 $x | cut -d ";" -f 4 | cut -d "," -f 1)
	
	#pone una , al final de la cadena si va hay ms objetos
	if [ $x != $DIRS/$(ls $DIRS | tail -n 1) ]; then
		JSON=$JSON"},{"
	else
		break
	fi
	let CONT++
done
JSON=$JSON"}]"
echo $JSON > $(uname -n).json
