#!/bin/bash

#in: bloque a comprobar
#out: True/False
#comprueba la integridad del bloque

hasher(){

	echo "===================================="
	echo "== Comprobacin integridad bloque =="
	echo "===================================="

	local HASH1=$(echo $(head -n 7 $1)$(tail -n 2 $1 | head -n 1) | sha256sum )
	local HASH2=$(tail -n 1 $1 )

	diff  <(echo $HASH1) <(echo $HASH2) > /dev/null

	if [ $? -eq 0 ]; then
		#echo "true"
		return 0
	else
		#echo "false"
		return 1
	fi
}

#hasher ./block_signed/BLOCK1505203675.blk
#echo $result