#!/bin/bash

#in: firma, texto
#out: verificacion
#comprueba el estado de la firma contra el texto que contiene la informacin

#la firma la almacenamos temporalmente en formato bin
tmpfile1=$(mktemp /tmp/MBIOT.XXXXXX)
head -n 6 $1 | tail -n 5 | base64 -d > "$tmpfile1"

#comprobacin firma-texto
head -n 1 $1 | openssl dgst -verify keys/public.key -signature $tmpfile1 > /dev/null

if [ $? -eq 0 ]; then
	echo "true"
else
	echo "false"
fi

rm $tmpfile1